Scriptname BaboFollowerConfingMCM extends SKI_ConfigBase  

bool aVal = true

Event OnConfigInit()
	Pages = new string[4]
	Pages[0] = "$BFSlaves"
	Pages[1] = "$BFStory"
	Pages[2] = "$BFAfterStory"
	Pages[3] = "$BFMisc"
EndEvent

Event OnGameReload()
	parent.OnGameReload()
	ModStartCheck()
EndEvent

function ModStartCheck()
	if (BaboFollowerQuest.IsRunning() == 1)
		aVal = true;
	else  
		aVal = false;
	endIf
	
	if (BIS_SexSlavesForVanillaBandits.IsRunning() == 1)
		BISSwitch = true;
	else  
		BISSwitch = false;
	endIf
	
	If Quest.Getquest("BaboDialogueMCM")
		BaboDialogue_Installed = true
	else
		BaboDialogue_Installed = false
	Endif
endFunction

event OnPageReset(string page)
	ModStartCheck()
	
	If Page == ("")

	DisplayBaboPage()

	Elseif Page == ("$BFSlaves")
	
	SetCursorFillMode(TOP_TO_BOTTOM)
	SetCursorPosition(0)

	AddHeaderOption("Mod status")
	OID_BISSwitch = AddToggleOption("Mod started", BISSwitch)
	AddHeaderOption("Mod Setting")
	OID_BIS_RecruitPercentage = AddSliderOption("Recruit Value", BIS_RecruitPercentage.GetValue(), "{0}")

	Elseif Page == ("$BFStory")

	UnloadCustomContent()	
	SetCursorFillMode(TOP_TO_BOTTOM)
	SetCursorPosition(0)

	AddHeaderOption("Story00 - 1 Female adventrue1 captured by necromancer")
	OID_BFollower00 = AddToggleOption("Custom Follower 00", BFollower00.GetValue())
	AddHeaderOption("Story01 - 2 Female adventrues captured by bandits")
	OID_BFollower01 = AddToggleOption("Custom Follower 01", BFollower01.GetValue())
	OID_BFollower02 = AddToggleOption("Custom Follower 02", BFollower02.GetValue())
	AddHeaderOption("Story02 - 1 Female adventrue captured by trolls")
	OID_BFollower03 = AddToggleOption("Custom Follower 03", BFollower03.GetValue())
	AddHeaderOption("Story03 - 4 Female adventrues captured by falmers")
	OID_BFollower04 = AddToggleOption("Custom Follower 04", BFollower04.GetValue())
	OID_BFollower05 = AddToggleOption("Custom Follower 05", BFollower05.GetValue())
	OID_BFollower06 = AddToggleOption("Custom Follower 06", BFollower06.GetValue())
	OID_BFollower07 = AddToggleOption("Custom Follower 07", BFollower07.GetValue())
	AddHeaderOption("Story04 - 1 Male adventrue captured by forsworns")
	OID_BFollower08 = AddToggleOption("Custom Follower 08", BFollower08.GetValue())
	AddHeaderOption("Story05 - 1 Male mage9 and 1 female mage10")
	OID_BFollower09 = AddToggleOption("Custom Follower 09", BFollower09.GetValue())
	OID_BFollower10 = AddToggleOption("Custom Follower 10", BFollower10.GetValue())
	AddHeaderOption("Coming Soon")
;	OID_BFollower11 = AddToggleOption("Custom Follower 11", BFollower11.GetValue())
;	OID_BFollower12 = AddToggleOption("Custom Follower 12", BFollower12.GetValue())
;	OID_BFollower13 = AddToggleOption("Custom Follower 13", BFollower13.GetValue())
;	OID_BFollower14 = AddToggleOption("Custom Follower 14", BFollower14.GetValue())
;	OID_BFollower15 = AddToggleOption("Custom Follower 15", BFollower15.GetValue())
;	OID_BFollower16 = AddToggleOption("Custom Follower 16", BFollower16.GetValue())
;	OID_BFollower17 = AddToggleOption("Custom Follower 17", BFollower17.GetValue())
;	OID_BFollower18 = AddToggleOption("Custom Follower 18", BFollower18.GetValue())
;	OID_BFollower19 = AddToggleOption("Custom Follower 19", BFollower19.GetValue())
;	OID_BFollower20 = AddToggleOption("Custom Follower 20", BFollower20.GetValue())
;	SetCursorPosition(1)
;	AddHeaderOption("Custom Follower Register 21 - 40")
;	OID_BFollower21 = AddToggleOption("Custom Follower 21", BFollower21.GetValue())
;	OID_BFollower22 = AddToggleOption("Custom Follower 22", BFollower22.GetValue())
;	OID_BFollower23 = AddToggleOption("Custom Follower 23", BFollower23.GetValue())
;	OID_BFollower24 = AddToggleOption("Custom Follower 24", BFollower24.GetValue())
;	OID_BFollower25 = AddToggleOption("Custom Follower 25", BFollower25.GetValue())
;	OID_BFollower26 = AddToggleOption("Custom Follower 26", BFollower26.GetValue())
;	OID_BFollower27 = AddToggleOption("Custom Follower 27", BFollower27.GetValue())
;	OID_BFollower28 = AddToggleOption("Custom Follower 28", BFollower28.GetValue())
;	OID_BFollower29 = AddToggleOption("Custom Follower 29", BFollower29.GetValue())
;	OID_BFollower30 = AddToggleOption("Custom Follower 30", BFollower30.GetValue())

	Elseif Page == ("$BFAfterStory")

		UnloadCustomContent()	
		SetCursorFillMode(TOP_TO_BOTTOM)
		SetCursorPosition(0)
		
		AddHeaderOption("Story00 AfterStory - WIP")
		;OID_BFollower00After = AddToggleOption("Story 00 After", BFollower00After.GetValue())
	Elseif Page == ("$BFMisc")
		UnloadCustomContent()	
		SetCursorFillMode(TOP_TO_BOTTOM)
		SetCursorPosition(0)
		AddHeaderOption("Mod Status")
		OID_ModSwitch = AddToggleOption("Mod started", aVal)
		OID_BISNoticeBoard = AddToggleOption("$BISNoticeBoard", BISNoticeBoard)
		AddEmptyOption()
		AddHeaderOption("$ModsCompatibility")
		if BaboDialogue_Installed
			BaboDialogueOID = AddToggleOption("$BaboDialogue", BaboDialogueCheck)
		else
			BaboDialogueOID = AddToggleOption("$BaboDialogue", BaboDialogueCheck, OPTION_FLAG_DISABLED)
		endif
		AddEmptyOption()
		AddHeaderOption("$BFDebug")
		OID_BISDebugMessage = AddToggleOption("$BFDebugMessage", BIS_DebugMessage.getvalue())
	Endif
endEvent

event OnOptionSelect(int option)
	if (option == OID_ModSwitch)
		aVal = !aVal
		SetToggleOptionValue(OID_ModSwitch, aVal)
		if !BaboFollowerQuest.isrunning()
			BaboFollowerQuest.Start()
		endif
			BFLS.resetquest()
			Debug.Notification("Babo Follower System re-established.")
		
	elseif (option == OID_BISSwitch)
		BISSwitch = !BISSwitch
		SetToggleOptionValue(OID_BISSwitch, BISSwitch)
		if !BIS_SexSlavesForVanillaBandits.isrunning()
			BIS_SexSlavesForVanillaBandits.Start()
		endif
	elseif (option == BaboDialogueOID)
		BaboDialogueCheck = !BaboDialogueCheck
		SetToggleOptionValue(BaboDialogueOID, BaboDialogueCheck)
		
		If BaboDialogueOID
			BISMain.BaboDialogue = true
		Else
			BISMain.BaboDialogue = false
		Endif
		
	elseIf (option == OID_BISNoticeBoard)
		If BISNoticeBoard
			BISNoticeBoard = false
			SetToggleOptionValue(OID_BISNoticeBoard, 0)
			BISNoticeBoardXmarker.disable()
		Else
			BISNoticeBoard = true
			SetToggleOptionValue(OID_BISNoticeBoard, 1)
			BISNoticeBoardXmarker.enable()
		EndIf
	elseIf (option == OID_BISDebugMessage)
		If BIS_DebugMessage.GetValue() == 1
			BIS_DebugMessage.SetValue(0)
			SetToggleOptionValue(OID_BISDebugMessage, 0)
		ElseIf BIS_DebugMessage.GetValue() == 0
			BIS_DebugMessage.SetValue(1)
			SetToggleOptionValue(OID_BISDebugMessage, 1)
		EndIf
	
	elseIf (option == OID_BFollower00)
		If BFollower00.GetValue() == 1
			BFollower00.SetValue(0)
			SetToggleOptionValue(OID_BFollower00, 0)
		ElseIf BFollower00.GetValue() == 0
			BFollower00.SetValue(1)
			SetToggleOptionValue(OID_BFollower00, 1)
		EndIf
	elseIf (option == OID_BFollower00After)
		If BFollower00After.GetValue() == 1
			BFollower00After.SetValue(0)
			SetToggleOptionValue(OID_BFollower00After, 0)
		ElseIf BFollower00After.GetValue() == 0
			BFollower00After.SetValue(1)
			SetToggleOptionValue(OID_BFollower00After, 1)
		EndIf
	elseIf (option == OID_BFollower01)
		If BFollower01.GetValue() == 1
			BFollower01.SetValue(0)
			SetToggleOptionValue(OID_BFollower01, 0)
		ElseIf BFollower01.GetValue() == 0
			BFollower01.SetValue(1)
			SetToggleOptionValue(OID_BFollower01, 1)
		EndIf
	elseIf (option == OID_BFollower02)
		If BFollower02.GetValue() == 1
			BFollower02.SetValue(0)
			SetToggleOptionValue(OID_BFollower02, 0)
		ElseIf BFollower02.GetValue() == 0
			BFollower02.SetValue(1)
			SetToggleOptionValue(OID_BFollower02, 1)
		EndIf
	elseIf (option == OID_BFollower03)
		If BFollower03.GetValue() == 1
			BFollower03.SetValue(0)
			SetToggleOptionValue(OID_BFollower03, 0)
		ElseIf BFollower03.GetValue() == 0
			BFollower03.SetValue(1)
			SetToggleOptionValue(OID_BFollower03, 1)
		EndIf
	elseIf (option == OID_BFollower04)
		If BFollower04.GetValue() == 1
			BFollower04.SetValue(0)
			SetToggleOptionValue(OID_BFollower04, 0)
		ElseIf BFollower04.GetValue() == 0
			BFollower04.SetValue(1)
			SetToggleOptionValue(OID_BFollower04, 1)
		EndIf
	elseIf (option == OID_BFollower05)
		If BFollower05.GetValue() == 1
			BFollower05.SetValue(0)
			SetToggleOptionValue(OID_BFollower05, 0)
		ElseIf BFollower05.GetValue() == 0
			BFollower05.SetValue(1)
			SetToggleOptionValue(OID_BFollower05, 1)
		EndIf
	elseIf (option == OID_BFollower06)
		If BFollower06.GetValue() == 1
			BFollower06.SetValue(0)
			SetToggleOptionValue(OID_BFollower06, 0)
		ElseIf BFollower06.GetValue() == 0
			BFollower06.SetValue(1)
			SetToggleOptionValue(OID_BFollower06, 1)
		EndIf
	elseIf (option == OID_BFollower07)
		If BFollower07.GetValue() == 1
			BFollower07.SetValue(0)
			SetToggleOptionValue(OID_BFollower07, 0)
		ElseIf BFollower07.GetValue() == 0
			BFollower07.SetValue(1)
			SetToggleOptionValue(OID_BFollower07, 1)
		EndIf
	elseIf (option == OID_BFollower08)
		If BFollower08.GetValue() == 1
			BFollower08.SetValue(0)
			SetToggleOptionValue(OID_BFollower08, 0)
		ElseIf BFollower08.GetValue() == 0
			BFollower08.SetValue(1)
			SetToggleOptionValue(OID_BFollower08, 1)
		EndIf
	elseIf (option == OID_BFollower09)
		If BFollower09.GetValue() == 1
			BFollower09.SetValue(0)
			SetToggleOptionValue(OID_BFollower09, 0)
		ElseIf BFollower09.GetValue() == 0
			BFollower09.SetValue(1)
			SetToggleOptionValue(OID_BFollower09, 1)
		EndIf
	elseIf (option == OID_BFollower10)
		If BFollower10.GetValue() == 1
			BFollower10.SetValue(0)
			SetToggleOptionValue(OID_BFollower10, 0)
		ElseIf BFollower10.GetValue() == 0
			BFollower10.SetValue(1)
			SetToggleOptionValue(OID_BFollower10, 1)
		EndIf
	elseIf (option == OID_BFollower11)
		If BFollower11.GetValue() == 1
			BFollower11.SetValue(0)
			SetToggleOptionValue(OID_BFollower11, 0)
		ElseIf BFollower11.GetValue() == 0
			BFollower11.SetValue(1)
			SetToggleOptionValue(OID_BFollower11, 1)
		EndIf
	elseIf (option == OID_BFollower12)
		If BFollower12.GetValue() == 1
			BFollower12.SetValue(0)
			SetToggleOptionValue(OID_BFollower12, 0)
		ElseIf BFollower12.GetValue() == 0
			BFollower12.SetValue(1)
			SetToggleOptionValue(OID_BFollower12, 1)
		EndIf
	elseIf (option == OID_BFollower13)
		If BFollower13.GetValue() == 1
			BFollower13.SetValue(0)
			SetToggleOptionValue(OID_BFollower13, 0)
		ElseIf BFollower13.GetValue() == 0
			BFollower13.SetValue(1)
			SetToggleOptionValue(OID_BFollower13, 1)
		EndIf
	elseIf (option == OID_BFollower14)
		If BFollower14.GetValue() == 1
			BFollower14.SetValue(0)
			SetToggleOptionValue(OID_BFollower14, 0)
		ElseIf BFollower14.GetValue() == 0
			BFollower14.SetValue(1)
			SetToggleOptionValue(OID_BFollower14, 1)
		EndIf
	elseIf (option == OID_BFollower15)
		If BFollower15.GetValue() == 1
			BFollower15.SetValue(0)
			SetToggleOptionValue(OID_BFollower15, 0)
		ElseIf BFollower15.GetValue() == 0
			BFollower15.SetValue(1)
			SetToggleOptionValue(OID_BFollower15, 1)
		EndIf
	elseIf (option == OID_BFollower16)
		If BFollower16.GetValue() == 1
			BFollower16.SetValue(0)
			SetToggleOptionValue(OID_BFollower16, 0)
		ElseIf BFollower16.GetValue() == 0
			BFollower16.SetValue(1)
			SetToggleOptionValue(OID_BFollower16, 1)
		EndIf
	elseIf (option == OID_BFollower17)
		If BFollower17.GetValue() == 1
			BFollower17.SetValue(0)
			SetToggleOptionValue(OID_BFollower17, 0)
		ElseIf BFollower17.GetValue() == 0
			BFollower17.SetValue(1)
			SetToggleOptionValue(OID_BFollower17, 1)
		EndIf
	elseIf (option == OID_BFollower18)
		If BFollower18.GetValue() == 1
			BFollower18.SetValue(0)
			SetToggleOptionValue(OID_BFollower18, 0)
		ElseIf BFollower18.GetValue() == 0
			BFollower18.SetValue(1)
			SetToggleOptionValue(OID_BFollower18, 1)
		EndIf
	elseIf (option == OID_BFollower19)
		If BFollower19.GetValue() == 1
			BFollower19.SetValue(0)
			SetToggleOptionValue(OID_BFollower19, 0)
		ElseIf BFollower19.GetValue() == 0
			BFollower19.SetValue(1)
			SetToggleOptionValue(OID_BFollower19, 1)
		EndIf
	elseIf (option == OID_BFollower20)
		If BFollower20.GetValue() == 1
			BFollower20.SetValue(0)
			SetToggleOptionValue(OID_BFollower20, 0)
		ElseIf BFollower20.GetValue() == 0
			BFollower20.SetValue(1)
			SetToggleOptionValue(OID_BFollower20, 1)
		EndIf
	elseIf (option == OID_BFollower21)
		If BFollower21.GetValue() == 1
			BFollower21.SetValue(0)
			SetToggleOptionValue(OID_BFollower21, 0)
		ElseIf BFollower21.GetValue() == 0
			BFollower21.SetValue(1)
			SetToggleOptionValue(OID_BFollower21, 1)
		EndIf
	elseIf (option == OID_BFollower22)
		If BFollower22.GetValue() == 1
			BFollower22.SetValue(0)
			SetToggleOptionValue(OID_BFollower22, 0)
		ElseIf BFollower22.GetValue() == 0
			BFollower22.SetValue(1)
			SetToggleOptionValue(OID_BFollower22, 1)
		EndIf
	elseIf (option == OID_BFollower23)
		If BFollower23.GetValue() == 1
			BFollower23.SetValue(0)
			SetToggleOptionValue(OID_BFollower23, 0)
		ElseIf BFollower23.GetValue() == 0
			BFollower23.SetValue(1)
			SetToggleOptionValue(OID_BFollower23, 1)
		EndIf
	elseIf (option == OID_BFollower24)
		If BFollower24.GetValue() == 1
			BFollower24.SetValue(0)
			SetToggleOptionValue(OID_BFollower24, 0)
		ElseIf BFollower24.GetValue() == 0
			BFollower24.SetValue(1)
			SetToggleOptionValue(OID_BFollower24, 1)
		EndIf
	elseIf (option == OID_BFollower25)
		If BFollower25.GetValue() == 1
			BFollower25.SetValue(0)
			SetToggleOptionValue(OID_BFollower25, 0)
		ElseIf BFollower25.GetValue() == 0
			BFollower25.SetValue(1)
			SetToggleOptionValue(OID_BFollower25, 1)
		EndIf
	elseIf (option == OID_BFollower26)
		If BFollower26.GetValue() == 1
			BFollower26.SetValue(0)
			SetToggleOptionValue(OID_BFollower26, 0)
		ElseIf BFollower26.GetValue() == 0
			BFollower26.SetValue(1)
			SetToggleOptionValue(OID_BFollower26, 1)
		EndIf
	elseIf (option == OID_BFollower27)
		If BFollower27.GetValue() == 1
			BFollower27.SetValue(0)
			SetToggleOptionValue(OID_BFollower27, 0)
		ElseIf BFollower27.GetValue() == 0
			BFollower27.SetValue(1)
			SetToggleOptionValue(OID_BFollower27, 1)
		EndIf
	elseIf (option == OID_BFollower28)
		If BFollower28.GetValue() == 1
			BFollower28.SetValue(0)
			SetToggleOptionValue(OID_BFollower28, 0)
		ElseIf BFollower28.GetValue() == 0
			BFollower28.SetValue(1)
			SetToggleOptionValue(OID_BFollower28, 1)
		EndIf
	elseIf (option == OID_BFollower29)
		If BFollower29.GetValue() == 1
			BFollower29.SetValue(0)
			SetToggleOptionValue(OID_BFollower29, 0)
		ElseIf BFollower29.GetValue() == 0
			BFollower29.SetValue(1)
			SetToggleOptionValue(OID_BFollower29, 1)
		EndIf
	elseIf (option == OID_BFollower30)
		If BFollower30.GetValue() == 1
			BFollower30.SetValue(0)
			SetToggleOptionValue(OID_BFollower30, 0)
		ElseIf BFollower30.GetValue() == 0
			BFollower30.SetValue(1)
			SetToggleOptionValue(OID_BFollower30, 1)
		EndIf
	elseIf (option == OID_BFollower31)
		If BFollower31.GetValue() == 1
			BFollower31.SetValue(0)
			SetToggleOptionValue(OID_BFollower31, 0)
		ElseIf BFollower31.GetValue() == 0
			BFollower31.SetValue(1)
			SetToggleOptionValue(OID_BFollower31, 1)
		EndIf
	EndIf
endEvent

event OnOptionDefault(int option)
	if (option == OID_ModSwitch)
        aVal = true ; default value
    elseif (option == OID_BISSwitch)
        BISSwitch = true ; default value
    endIf
endEvent

Event OnOptionSliderOpen(Int Option)

If option == OID_BIS_RecruitPercentage
	SetSliderDialogStartValue(BIS_RecruitPercentage.GetValue())
	SetSliderDialogDefaultValue(50)
	SetSliderDialogRange(0, 100)
	SetSliderDialogInterval(1.0)
EndIf

EndEvent

Event OnOptionSliderAccept(Int Option, Float Value)

If option == OID_BIS_RecruitPercentage
	BIS_RecruitPercentage.SetValue(Value)
	SetSliderOptionValue(option, value as int, "{0}")
EndIf

EndEvent

Event OnOptionHighlight(Int Option)
	If (Option == OID_BIS_RecruitPercentage)
		SetInfoText("Through this percentage, you can set the possibility to recruit enslaved knights")
	elseIf (option == BaboDialogueOID)
		SetInfoText("$BFBaboDialogueInfo")
	elseIf (option == OID_BISDebugMessage)
		SetInfoText("$BFDebugMessageInfo")
	elseIf (option == OID_BISNoticeBoard)
		SetInfoText("$BISNoticeBoardInfo")
	EndIf
EndEvent


Function DisplayBaboPage()
	UnloadCustomContent()
	LoadCustomContent("BaboFollower/BaboFollower.dds", 120, 0)
EndFunction



;###########################################
;##############Property Zone################
;###########################################


Quest Property BaboFollowerQuest Auto
Quest Property BIS_SexSlavesForVanillaBandits Auto
GlobalVariable Property BIS_RecruitPercentage Auto


int OID_BISSwitch
int OID_BIS_RecruitPercentage
int BaboDialogueOID

bool property BaboDialogueCheck = false auto
Bool BaboDialogue_Installed
bool BISSwitch = false
bool BISNoticeBoard = true

int OID_BISNoticeBoard
int OID_BISDebugMessage
int OID_NoticeBoard
int OID_ModSwitch
int OID_BFollower00
int OID_BFollower01
int OID_BFollower02
int OID_BFollower03
int OID_BFollower04
int OID_BFollower05
int OID_BFollower06
int OID_BFollower07
int OID_BFollower08
int OID_BFollower09
int OID_BFollower10
int OID_BFollower11
int OID_BFollower12
int OID_BFollower13
int OID_BFollower14
int OID_BFollower15
int OID_BFollower16
int OID_BFollower17
int OID_BFollower18
int OID_BFollower19
int OID_BFollower20
int OID_BFollower21
int OID_BFollower22
int OID_BFollower23
int OID_BFollower24
int OID_BFollower25
int OID_BFollower26
int OID_BFollower27
int OID_BFollower28
int OID_BFollower29
int OID_BFollower30
int OID_BFollower31
int OID_BFollower32
int OID_BFollower33
int OID_BFollower34
int OID_BFollower35
int OID_BFollower36
int OID_BFollower37
int OID_BFollower38
int OID_BFollower39
int OID_BFollower40

int OID_BFollower00After

GlobalVariable Property BFollower00After Auto
GlobalVariable Property BIS_DebugMessage Auto

GlobalVariable Property BFollower00 Auto
GlobalVariable Property BFollower01 Auto
GlobalVariable Property BFollower02 Auto
GlobalVariable Property BFollower03 Auto
GlobalVariable Property BFollower04 Auto
GlobalVariable Property BFollower05 Auto
GlobalVariable Property BFollower06 Auto
GlobalVariable Property BFollower07 Auto
GlobalVariable Property BFollower08 Auto
GlobalVariable Property BFollower09 Auto
GlobalVariable Property BFollower10 Auto
GlobalVariable Property BFollower11 Auto
GlobalVariable Property BFollower12 Auto
GlobalVariable Property BFollower13 Auto
GlobalVariable Property BFollower14 Auto
GlobalVariable Property BFollower15 Auto
GlobalVariable Property BFollower16 Auto
GlobalVariable Property BFollower17 Auto
GlobalVariable Property BFollower18 Auto
GlobalVariable Property BFollower19 Auto
GlobalVariable Property BFollower20 Auto
GlobalVariable Property BFollower21 Auto
GlobalVariable Property BFollower22 Auto
GlobalVariable Property BFollower23 Auto
GlobalVariable Property BFollower24 Auto
GlobalVariable Property BFollower25 Auto
GlobalVariable Property BFollower26 Auto
GlobalVariable Property BFollower27 Auto
GlobalVariable Property BFollower28 Auto
GlobalVariable Property BFollower29 Auto
GlobalVariable Property BFollower30 Auto
GlobalVariable Property BFollower31 Auto
GlobalVariable Property BFollower32 Auto
GlobalVariable Property BFollower33 Auto
GlobalVariable Property BFollower34 Auto
GlobalVariable Property BFollower35 Auto
GlobalVariable Property BFollower36 Auto
GlobalVariable Property BFollower37 Auto
GlobalVariable Property BFollower38 Auto
GlobalVariable Property BFollower39 Auto
GlobalVariable Property BFollower40 Auto

Quest Property BaboFollowerReset Auto
Quest Property BaboFollowerConfig Auto
BaboFollowerResetScript Property BFRS Auto
BaboImmersiveSlave_Main Property BISMain Auto
BaboFollowerLoadingScript Property BFLS Auto

ObjectReference Property BISNoticeBoardXmarker Auto